Package wx :: Package lib :: Module flatnotebook :: Class FlatNotebookEvent

[frames | no frames]

## Type FlatNotebookEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            FlatNotebookEvent

This events will be sent when a EVT_FLATNOTEBOOK_PAGE_CHANGED, EVT_FLATNOTEBOOK_PAGE_CHANGING, EVT_FLATNOTEBOOK_PAGE_CLOSING, EVT_FLATNOTEBOOK_PAGE_CLOSED and EVT_FLATNOTEBOOK_PAGE_CONTEXT_MENU is mapped in the parent.

Method Summary
| ``__init__`(self, eventType, id, nSel, nOldSel)` Default class constructor.
| ``Allow`(self)` The event is allowed.
| ``GetNotifyEvent`(self)` Returns the actual wx.NotifyEvent.
| ``GetOldSelection`(self)` Returns old event selection
| ``GetSelection`(self)` Returns event selection.
| ``IsAllowed`(self)` Returns whether the event is allowed or not.
| ``SetOldSelection`(self, nOldSel)` Sets old event selection.
| ``SetSelection`(self, nSel)` Sets event selection.
| ``Veto`(self)` Vetos the event.

Property Summary

Method Details

### __init__(self, eventType, id=1, nSel=-1, nOldSel=-1)
(Constructor)

Default class constructor.

  Overrides:
    `wx.PyCommandEvent.__init__`

### Allow(self)

The event is allowed.

### GetNotifyEvent(self)

Returns the actual wx.NotifyEvent.

### GetOldSelection(self)

Returns old event selection

### GetSelection(self)

Returns event selection.

  Overrides:
    `wx.CommandEvent.GetSelection`

### IsAllowed(self)

Returns whether the event is allowed or not.

### SetOldSelection(self, nOldSel)

Sets old event selection.

### SetSelection(self, nSel)

Sets event selection.

### Veto(self)

Vetos the event.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:39 2007 | http://epydoc.sf.net